Loading...
Searching...
No Matches
{hp,sp}mv: Hermitian/symmetric matrix-vector multiply
BLAS » Level 2 BLAS: matrix-vector ops
Collaboration diagram for {hp,sp}mv: Hermitian/symmetric matrix-vector multiply:

## Functions

subroutine | chpmv (uplo, n, alpha, ap, x, incx, beta, y, incy)
| CHPMV
subroutine | dspmv (uplo, n, alpha, ap, x, incx, beta, y, incy)
| DSPMV
subroutine | sspmv (uplo, n, alpha, ap, x, incx, beta, y, incy)
| SSPMV
subroutine | zhpmv (uplo, n, alpha, ap, x, incx, beta, y, incy)
| ZHPMV
subroutine | cspmv (uplo, n, alpha, ap, x, incx, beta, y, incy)
| CSPMV computes a matrix-vector product for complex vectors using a complex symmetric packed matrix
subroutine | zspmv (uplo, n, alpha, ap, x, incx, beta, y, incy)
| ZSPMV computes a matrix-vector product for complex vectors using a complex symmetric packed matrix

## Detailed Description